<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  {% set title = 'themes/' ~ theme ~ '/html/title.html' %}
  {% include title %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/structure.css') }}">
  {% if chat == True %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/chat.css') }}">
  {% endif %}
  {% if errorCorrectionTools == True %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/errorCorrectionTools.css') }}">
  {% endif %}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <style>
    /* CSS to make iframe full width and height */
    iframe {
      width: 100%;
      height: 100%;
      /* 100% of container height */
      border: none;
      /* Remove default iframe border */
    }
  </style>
</head>

<body>

  {% set header = 'themes/' ~ theme ~ '/html/header.html' %}
  {% set mode = "live" %}
  {% include header %}


  <h1>{{ name }}</h1>

  <div class="logout" id="online_div">
    <button class="language-button" id="online" style="background-color: red; color: white;">
      ? live
    </button>
  </div>

  <div class="logout">
    <button class="language-button" id="logout">
      End Meeting
    </button>
  </div>

  <div class="container">
    <iframe src="https://lt2srv-backup.iar.kit.edu/saasr/?__theme=light" id="iframe" onload="onLoadHandler();"></iframe>
  </div>

  <script src="{{ url_for('static', filename='js/eventsource-polyfill.js') }}"></script>
  <script>
    function onLoadHandler() {
      const logout = document.getElementById('logout');
      console.log("onLoadHandler");
      logout.addEventListener('click', () => {
        const session_info = document.getElementById('iframe').contentWindow.document.getElementById('session_title_admin').innerHTML;
        console.log("session_info", session_info);
        if (session_info.includes("None")) {
          window.location.href = "{{ url_for('index') }}"
        }
        const session = session_info.split(":")[1].split("/")[0].trim(); // get session number "1637" 
        const stream = session_info.split(":")[1].split("/")[1].trim(); // get stream number "0"
        console.log("End session: " + session + " with stream" + stream)
        console.log("End session url: " + '{{ server }}/' + session + "/" + stream + "/append")
        sent_end = true;
        fetch('{{ server }}/' + session + "/" + stream + "/append", {
          method: 'POST',
          headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json'
          },
          body: JSON.stringify(JSON.stringify({ "controll": "END" }))
        }).then(response => console.log("Close session: ", response))

        setTimeout(function () {
          window.location.href = "{{ url_for('index') }}"
        }, 1000);
      });
    }

  </script>

</body>

</html>
